Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel.hobj
Class HMessageExchangeProperty

    java.lang.Object
      org.apache.ode.daohib.bpel.hobj.HMessageExchangeProperty

All Implemented Interfaces:
  java.io.Serializable

    public class HMessageExchangeProperty

extends java.lang.Object
implements java.io.Serializable

This hibernate entity enables using the BPEL_MEX_PROPS table in HQL. This entity is excluded from schema export.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `SELECT_MEX_PROPS_IDS_BY_INSTANCES`

Constructor Summary
`HMessageExchangeProperty()`

Method Summary
`boolean` | `equals(java.lang.Object another)`
`HMessageExchangeProperty` | `getKey()`
`HMessageExchange` | `getMex()`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`int` | `hashCode()`
`void` | `setKey(HMessageExchangeProperty property)`
`void` | `setMex(HMessageExchange mex)`
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECT_MEX_PROPS_IDS_BY_INSTANCES

    public static final java.lang.String SELECT_MEX_PROPS_IDS_BY_INSTANCES

See Also:
  Constant Field Values

Constructor Detail

### HMessageExchangeProperty

    public HMessageExchangeProperty()

Method Detail

### getKey

    public HMessageExchangeProperty getKey()

  Returns:

### setKey

    public void setKey(HMessageExchangeProperty property)

### getMex

    public HMessageExchange getMex()

### setMex

    public void setMex(HMessageExchange mex)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### equals

    public boolean equals(java.lang.Object another)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD